OpenVDB 12.1.0

Loading...
Searching...
No Matches
VolumeComputeGenerator.h File Reference

The visitor framework and function definition for volume grid code generation. More...

`#include "ComputeGenerator.h"`
`#include "Types.h"`
`#include "Value.h"`
`#include "../compiler/AttributeRegistry.h"`
`#include <openvdb/version.h>`

Go to the source code of this file.

## Classes
struct | VolumeComputeGenerator
| Visitor object which will generate llvm IR for a syntax tree which has been generated from AX that targets volumes. The IR will represent a single function. It is mainly used by the Compiler class. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::ax
namespace | openvdb::v12_1::ax::codegen
namespace | openvdb::v12_1::ax::codegen::codegen_internal

## Detailed Description

The visitor framework and function definition for volume grid code generation.

Authors
  Nick Avramoussis